<?php

declare(strict_types=1);

namespace App\Http\Requests\Settings;

use Illuminate\Foundation\Http\FormRequest;

class UpdateNotificationsSectionRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'email_notifications' => ['required', 'boolean'],
            'upload_notifications' => ['required', 'boolean'],
            'follower_notifications' => ['required', 'boolean'],
            'comment_notifications' => ['required', 'boolean'],
            'newsletter' => ['required', 'boolean'],
        ];
    }
}
